## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm 1.6.0
%bcond_without check

# https://github.com/mroach/rom64
%global goipath         github.com/mroach/rom64
Version:                0.5.3

%gometa

%global common_description %{expand:
Nintendo 64 ROM utility written in Go:
- List information about all ROMs in a directory
- Show information about a single ROM
- Convert a ROM file to the native (Z64, Big-endian) format
- Validate the ROM's SHA-1 checksum against a list of known-good ROM dumps.}

%global golicenses      LICENSE
%global godocs          doc rom_info.md README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Nintendo 64 ROM utility

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%package -n     rom64
Summary:        %{summary}

%description -n rom64
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%build
%gobuild -o %{gobuilddir}/bin/rom64 %{goipath}

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files -n rom64
%license LICENSE
%doc doc rom_info.md README.md
%{_bindir}/rom64

%gopkgfiles

%changelog
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.5.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> 0.5.3-2
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Tue Jul 05 2022 Davide Cavalca <dcavalca@fedoraproject.org> 0.5.3-1
- Initial import; Fixes: RHBZ#2056663
